Package org.drinkless.tdlib

# Class TdApi.ValidateOrderInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ValidatedOrderInfo>
org.drinkless.tdlib.TdApi.ValidateOrderInfo

Enclosing class:
  `TdApi`

public static class TdApi.ValidateOrderInfo extends TdApi.Function<TdApi.ValidatedOrderInfo>
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.

Returns `ValidatedOrderInfo`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowSave`
  Pass true to save the order information.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputInvoice`
  `inputInvoice`
  The invoice.
  `TdApi.OrderInfo`
  `orderInfo`
  The order information, provided by the user; pass null if empty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateOrderInfo()`
  Default constructor for a function, which validates the order information provided by a user and returns the available shipping options for a flexible invoice.
  `ValidateOrderInfo(TdApi.InputInvoice inputInvoice, TdApi.OrderInfo orderInfo, boolean allowSave)`
  Creates a function, which validates the order information provided by a user and returns the available shipping options for a flexible invoice.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inputInvoice

    public TdApi.InputInvoice inputInvoice
    The invoice.

  - ### orderInfo

    public TdApi.OrderInfo orderInfo
    The order information, provided by the user; pass null if empty.

  - ### allowSave

    public boolean allowSave
    Pass true to save the order information.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ValidateOrderInfo

    public ValidateOrderInfo()
    Default constructor for a function, which validates the order information provided by a user and returns the available shipping options for a flexible invoice.

    Returns `ValidatedOrderInfo`

  - ### ValidateOrderInfo

    public ValidateOrderInfo(TdApi.InputInvoice inputInvoice, TdApi.OrderInfo orderInfo, boolean allowSave)
    Creates a function, which validates the order information provided by a user and returns the available shipping options for a flexible invoice.

    Returns `ValidatedOrderInfo`

    Parameters:
      `inputInvoice` - The invoice.
      `orderInfo` - The order information, provided by the user; pass null if empty.
      `allowSave` - Pass true to save the order information.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ValidatedOrderInfo>`
    Returns:
      this.CONSTRUCTOR